/*
 * TaxonomyRank.java
 *
 * Created on 2. Juni 2004, 17:49
 */

package net.metadiversity.diversity.navigator.db.diversity_names_lias;

/**
 *
 * @author  didi
 */
public class TaxonomyRank
{
    private byte    TaxonomicRankID;    // The logical order of ranks (and display order), can be tested to find false hierarchizations or combinations Do not change the code, it is used in several restriction queries!
    private String  RankCode;           // A unique user readable code for the taxonomic rank that is used in TaxonomyName.
    private String  Description;        // Single line description of the rank.
    private String  Output;             // Output elements for the rank, stored as a list of two elements (prefix string-semicolon-postfix string).
    private String  Notes;              // Internal development notes regarding the taxonomic rank.
    private long    DisplayOrder;       // The order in which the entries are displayed.
    private boolean DisplayEnable;      // The entries are displayed only if marked here.
    /*
    Index name:
    Attributes & index properties
    DisplayOrder:
    DisplayOrder (Unique values)
    PrimaryKey:
    TaxonomicRankID (Primary key; Unique values)
    RankCode:
    RankCode (Duplicates OK)
    Relation type:
    Fields involved
    Updates cascade
    TaxonomyRank.TaxonomicRankID  TaxonomyName.TaxonomicRankID
    */
    /** Creates a new instance of TaxonomyRank */
    public TaxonomyRank()
    {
    }
    
}
