package net.metadiversity.diversity.navigator.hibernate.ubt.collection;

import java.io.Serializable;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;


/** @author Hibernate CodeGenerator */
public class IdentificationUnitPK implements Serializable {

    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 3256725087024721974L;

    /** identifier field */
    private Integer identificationUnitId;

    /** identifier field */
    private Integer collectionSpecimenId;

    /** full constructor */
    public IdentificationUnitPK(Integer identificationUnitId, Integer collectionSpecimenId) {
        this.identificationUnitId = identificationUnitId;
        this.collectionSpecimenId = collectionSpecimenId;
    }

    /** default constructor */
    public IdentificationUnitPK() {
    }

    public Integer getIdentificationUnitId() {
        return this.identificationUnitId;
    }

    public void setIdentificationUnitId(Integer identificationUnitId) {
        this.identificationUnitId = identificationUnitId;
    }

    public Integer getCollectionSpecimenId() {
        return this.collectionSpecimenId;
    }

    public void setCollectionSpecimenId(Integer collectionSpecimenId) {
        this.collectionSpecimenId = collectionSpecimenId;
    }

    public String toString() {
        return new ToStringBuilder(this)
            .append("identificationUnitId", getIdentificationUnitId())
            .append("collectionSpecimenId", getCollectionSpecimenId())
            .toString();
    }

    public boolean equals(Object other) {
        if ( (this == other ) ) return true;
        if ( !(other instanceof IdentificationUnitPK) ) return false;
        IdentificationUnitPK castOther = (IdentificationUnitPK) other;
        return new EqualsBuilder()
            .append(this.getIdentificationUnitId(), castOther.getIdentificationUnitId())
            .append(this.getCollectionSpecimenId(), castOther.getCollectionSpecimenId())
            .isEquals();
    }

    public int hashCode() {
        return new HashCodeBuilder()
            .append(getIdentificationUnitId())
            .append(getCollectionSpecimenId())
            .toHashCode();
    }

}
