/*
 * LogEvent.java
 *
 * Created on 2. Mai 2003, 14:01
 */

package net.metadiversity.diversity.navigator.util;

import org.apache.log4j.Level;
import org.apache.log4j.Logger;

/**
 *
 * @author  didi
 */
public class LogEvent 
{    
    static Logger logger = Logger.getLogger( LogEvent.class.getName() );
    
    public String text;
    public Level  level;
    public int    numLines;  
    
    /** Creates a new instance of LogEvent */
    public LogEvent( Level level, String text ) 
    {
        if( logger.isDebugEnabled() )
        {
            logger.debug( "new log event" );
        }
        this.level = level;
        this.text  = text;
        numLines   = 1;
        int pos    = text.indexOf( '\n', 0 );
        int len    = text.length() - 1;

        while( (pos > 0) && (pos < len) )
        {    
            numLines++;
            pos = text.indexOf('\n', pos + 1);
        }    
    }    
}
