package net.metadiversity.diversity.navikey.bo;


/**
 * State.java
 * @author Noel Cross
 * @author Michael Bartley
 * @author Dieter Neubacher
 */
public class BasicState implements java.util.Comparator, java.lang.Comparable
{
    
    private String  name;
    private Integer characterId;
    
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
    public BasicState()
    {
    }
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
    public String getName()
    {
        return(name);
    }
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
    public Integer getCharacterId()
    {
        return characterId;
    }    
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
    public void setName(String name)
    {
        this.name = name;
    }
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
    public void setCharacterId( Object id )
    {
        if(id instanceof Integer)
        {
            characterId = (Integer)id;
        }
    }
    //--------------------------------------------------------------------------
    // used for sorting the selection list
    //--------------------------------------------------------------------------
    public int compare( java.lang.Object a, java.lang.Object b )
    {
        return ((BasicState) a).getName().compareTo( ((BasicState) b).getName() ); 
    }
    public int compareTo( java.lang.Object o )
    {
        return this.getName().compareTo( ((BasicState) o).getName() ); 
    }
    
    
            
}

