/*
 * ChecklistFileFilter.java
 *
 * Created on January 10, 2002, 7:18 PM
 */

package net.metadiversity.diversity.navigator.checklists;


import java.io.File;
// import javax.swing.*;
import javax.swing.filechooser.*;


/**
 *
 * @author  didi
 */
public class ChecklistFileFilter extends FileFilter
{
    public final static String xml = ".xml";
    
    // Accept all directories and all xml files.
    public boolean accept( File f ) 
    {
        if( f.isDirectory() ) 
        {
            return true;
        }
        if( f.getName().endsWith( xml ) ) 
        {
            return true;
        } 
        else
        {    
            return false;
        }    
    }    
    // The description of this filter
    public String getDescription() 
    {
        return "checklist xml-file";
    }
}
