package net.metadiversity.diversity.navigator.hibernate.ubt.collection;

import java.io.Serializable;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;


/** @author Hibernate CodeGenerator */
public class CollectionDuplicatePK implements Serializable {

    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 3832906567568863280L;

    /** identifier field */
    private Integer collectionSpecimenId;

    /** identifier field */
    private String accessionNumber;

    /** full constructor */
    public CollectionDuplicatePK(Integer collectionSpecimenId, String accessionNumber) {
        this.collectionSpecimenId = collectionSpecimenId;
        this.accessionNumber = accessionNumber;
    }

    /** default constructor */
    public CollectionDuplicatePK() {
    }

    public Integer getCollectionSpecimenId() {
        return this.collectionSpecimenId;
    }

    public void setCollectionSpecimenId(Integer collectionSpecimenId) {
        this.collectionSpecimenId = collectionSpecimenId;
    }

    public String getAccessionNumber() {
        return this.accessionNumber;
    }

    public void setAccessionNumber(String accessionNumber) {
        this.accessionNumber = accessionNumber;
    }

    public String toString() {
        return new ToStringBuilder(this)
            .append("collectionSpecimenId", getCollectionSpecimenId())
            .append("accessionNumber", getAccessionNumber())
            .toString();
    }

    public boolean equals(Object other) {
        if ( (this == other ) ) return true;
        if ( !(other instanceof CollectionDuplicatePK) ) return false;
        CollectionDuplicatePK castOther = (CollectionDuplicatePK) other;
        return new EqualsBuilder()
            .append(this.getCollectionSpecimenId(), castOther.getCollectionSpecimenId())
            .append(this.getAccessionNumber(), castOther.getAccessionNumber())
            .isEquals();
    }

    public int hashCode() {
        return new HashCodeBuilder()
            .append(getCollectionSpecimenId())
            .append(getAccessionNumber())
            .toHashCode();
    }

}
