/*
 * Copyright (C) 2001-2006 University Bayreuth, BayCEER, Dept. of Mycology 
 * 
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
/*
 * ChecklistFileFilter.java
 *
 * Created on January 10, 2002, 7:18 PM
 */

package net.metadiversity.diversity.navigator.checklists;


import java.io.File;
// import javax.swing.*;
import javax.swing.filechooser.*;


/**
 *
 * @author  didi
 */
public class ChecklistFileFilter extends FileFilter
{
    public final static String xml = ".xml";
    
    // Accept all directories and all xml files.
    public boolean accept( File f ) 
    {
        if( f.isDirectory() ) 
        {
            return true;
        }
        if( f.getName().endsWith( xml ) ) 
        {
            return true;
        } 
        else
        {    
            return false;
        }    
    }    
    // The description of this filter
    public String getDescription() 
    {
        return "checklist xml-file";
    }
}
