/*
 * Copyright (C) 2001-2006 University Bayreuth, BayCEER, Dept. of Mycology 
 * 
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
/*
 * WriteUnicodeFile.java
 *
 * Created on August 30, 2001, 3:16 PM
 */

package net.metadiversity.diversity.navigator.checklists;

/**
 *
 * @author  didi
 * @version 
 */
public class WriteUnicodeFile 
{
java.io.FileOutputStream    fos;
java.io.OutputStreamWriter  osw; 
java.io.BufferedWriter      output;

    public WriteUnicodeFile( String filename, String data ) 
    {
        try
        {
            fos = new java.io.FileOutputStream( filename );
            osw = new java.io.OutputStreamWriter( fos, "UTF8" );
            output  = new java.io.BufferedWriter( osw );
            
            // write data to file            
            try
            {
                output.write( data );
                output.close();
            }
            catch( java.io.IOException ex )
            {
                System.out.println( ex );
            }
            
        }    
        catch( java.io.FileNotFoundException ex )
        {
            System.out.println( ex );
        }
        catch( java.io.UnsupportedEncodingException ex )
        {
            System.out.println( ex );
        }
    }

    /**
    * @param args the command line arguments
    */
    public static void main (String args[]) 
    {
        System.out.println( "Test write XML-File in UTF-8 Format" );
        StringBuffer data = new StringBuffer();
        
        data.append( "<checklist>\n" );
        data.append( "äöü ÄÖÜ ß\n" );
        data.append( "</checklist>\n" );
                
        WriteUnicodeFile wuf = new WriteUnicodeFile( "test.utf-8", data.toString() );
        System.exit( 0 );
    }

    protected java.lang.Object clone() throws java.lang.CloneNotSupportedException 
    {
        java.lang.Object retValue;
        
        retValue = super.clone();
        return retValue;
    }
    
    public boolean equals(java.lang.Object obj) 
    {
        boolean retValue;
        
        retValue = super.equals(obj);
        return retValue;
    }
    
    public int hashCode() 
    {
        int retValue;
        
        retValue = super.hashCode();
        return retValue;
    }
    
    public java.lang.String toString() 
    {
        java.lang.String retValue;
        
        retValue = super.toString();
        return retValue;
    }
    
}
