/*
 * Copyright (C) 2001-2006 University Bayreuth, BayCEER, Dept. of Mycology 
 * 
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
/*
 * TaxonomyRank.java
 *
 * Created on 2. Juni 2004, 17:49
 */

package net.metadiversity.diversity.navigator.db.diversity_names_lias;

/**
 *
 * @author  didi
 */
public class TaxonomyRank
{
    private byte    TaxonomicRankID;    // The logical order of ranks (and display order), can be tested to find false hierarchizations or combinations Do not change the code, it is used in several restriction queries!
    private String  RankCode;           // A unique user readable code for the taxonomic rank that is used in TaxonomyName.
    private String  Description;        // Single line description of the rank.
    private String  Output;             // Output elements for the rank, stored as a list of two elements (prefix string-semicolon-postfix string).
    private String  Notes;              // Internal development notes regarding the taxonomic rank.
    private long    DisplayOrder;       // The order in which the entries are displayed.
    private boolean DisplayEnable;      // The entries are displayed only if marked here.
    /*
    Index name:
    Attributes & index properties
    DisplayOrder:
    DisplayOrder (Unique values)
    PrimaryKey:
    TaxonomicRankID (Primary key; Unique values)
    RankCode:
    RankCode (Duplicates OK)
    Relation type:
    Fields involved
    Updates cascade
    TaxonomyRank.TaxonomicRankID  TaxonomyName.TaxonomicRankID
    */
    /** Creates a new instance of TaxonomyRank */
    public TaxonomyRank()
    {
    }
    
}
