/*
 * Copyright (C) 2001-2006 University Bayreuth, BayCEER, Dept. of Mycology 
 * 
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package net.metadiversity.diversity.navigator.hibernate.ubt.collection;

import java.io.Serializable;
import org.apache.commons.lang.builder.ToStringBuilder;


/** @author Hibernate CodeGenerator */
public class PgaForm implements Serializable {

    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 3257845476404639793L;

    /** identifier field */
    private String formname;

    /** nullable persistent field */
    private String formsource;

    /** full constructor */
    public PgaForm(String formname, String formsource) {
        this.formname = formname;
        this.formsource = formsource;
    }

    /** default constructor */
    public PgaForm() {
    }

    /** minimal constructor */
    public PgaForm(String formname) {
        this.formname = formname;
    }

    public String getFormname() {
        return this.formname;
    }

    public void setFormname(String formname) {
        this.formname = formname;
    }

    public String getFormsource() {
        return this.formsource;
    }

    public void setFormsource(String formsource) {
        this.formsource = formsource;
    }

    public String toString() {
        return new ToStringBuilder(this)
            .append("formname", getFormname())
            .toString();
    }

}
