/*
 * SystemProperties.java
 *
 * Created on 20. M�rz 2003, 16:44
 */

package net.metadiversity.diversity.navigator.about;


import org.apache.log4j.Logger;
/**
 *
 * @author  didi
 */
public class SystemPropertiesTable extends javax.swing.JPanel
{
    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 3257854259579205176L;

    static Logger logger = Logger.getLogger( SystemPropertiesTable.class.getName() );
    
    private javax.swing.JScrollPane jScrollPane;
    private javax.swing.JTable jTable;    
    
    /** Creates new form SystemProperties */
    public SystemPropertiesTable()
    {
        initComponents();
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     */
    private void initComponents()
    {
        jScrollPane = new javax.swing.JScrollPane();
        jTable      = new javax.swing.JTable();
        java.util.Vector data = new java.util.Vector();
        java.util.Vector name = new java.util.Vector();

        name.add( "Property" );
        name.add( "Value" );
        // Show all System properies
        
        java.util.Properties properties = System.getProperties();
        
        
        for( java.util.Enumeration e = properties.propertyNames(); e.hasMoreElements(); ) 
        {
            String n = (String) e.nextElement();
            java.util.Vector v = new java.util.Vector();
            v.add( n );
            v.add( System.getProperty( n ) );
            data.add( v );
        }
        setLayout(new java.awt.BorderLayout());

        SystemPropertiesTableModel model = new SystemPropertiesTableModel();
        jTable.setModel( model );
        jScrollPane.setViewportView( jTable );
        jScrollPane.createHorizontalScrollBar();
        add( jScrollPane, java.awt.BorderLayout.CENTER );
    }        
}
