package net.metadiversity.diversity.navigator.hibernate.ubt.collection;

import java.io.Serializable;
import java.util.Set;
import org.apache.commons.lang.builder.ToStringBuilder;


/** @author Hibernate CodeGenerator */
public class Collection implements Serializable {

    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 3904959746498180403L;

    /** identifier field */
    private Integer collectionId;

    /** persistent field */
    private String collectionName;

    /** nullable persistent field */
    private String description;

    /** nullable persistent field */
    private String room;

    /** persistent field */
    private net.metadiversity.diversity.navigator.hibernate.ubt.collection.Collection collectionByTopmostCollectionId;

    /** persistent field */
    private net.metadiversity.diversity.navigator.hibernate.ubt.collection.Collection collectionByParentCollectionId;

    /** persistent field */
    private Set collectionDuplicates;

    /** persistent field */
    private Set collectionsByTopmostCollectionId;

    /** persistent field */
    private Set collectionsByParentCollectionId;

    /** full constructor */
    public Collection(Integer collectionId, String collectionName, String description, String room, net.metadiversity.diversity.navigator.hibernate.ubt.collection.Collection collectionByTopmostCollectionId, net.metadiversity.diversity.navigator.hibernate.ubt.collection.Collection collectionByParentCollectionId, Set collectionDuplicates, Set collectionsByTopmostCollectionId, Set collectionsByParentCollectionId) {
        this.collectionId = collectionId;
        this.collectionName = collectionName;
        this.description = description;
        this.room = room;
        this.collectionByTopmostCollectionId = collectionByTopmostCollectionId;
        this.collectionByParentCollectionId = collectionByParentCollectionId;
        this.collectionDuplicates = collectionDuplicates;
        this.collectionsByTopmostCollectionId = collectionsByTopmostCollectionId;
        this.collectionsByParentCollectionId = collectionsByParentCollectionId;
    }

    /** default constructor */
    public Collection() {
    }

    /** minimal constructor */
    public Collection(Integer collectionId, String collectionName, net.metadiversity.diversity.navigator.hibernate.ubt.collection.Collection collectionByTopmostCollectionId, net.metadiversity.diversity.navigator.hibernate.ubt.collection.Collection collectionByParentCollectionId, Set collectionDuplicates, Set collectionsByTopmostCollectionId, Set collectionsByParentCollectionId) {
        this.collectionId = collectionId;
        this.collectionName = collectionName;
        this.collectionByTopmostCollectionId = collectionByTopmostCollectionId;
        this.collectionByParentCollectionId = collectionByParentCollectionId;
        this.collectionDuplicates = collectionDuplicates;
        this.collectionsByTopmostCollectionId = collectionsByTopmostCollectionId;
        this.collectionsByParentCollectionId = collectionsByParentCollectionId;
    }

    public Integer getCollectionId() {
        return this.collectionId;
    }

    public void setCollectionId(Integer collectionId) {
        this.collectionId = collectionId;
    }

    public String getCollectionName() {
        return this.collectionName;
    }

    public void setCollectionName(String collectionName) {
        this.collectionName = collectionName;
    }

    public String getDescription() {
        return this.description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getRoom() {
        return this.room;
    }

    public void setRoom(String room) {
        this.room = room;
    }

    public net.metadiversity.diversity.navigator.hibernate.ubt.collection.Collection getCollectionByTopmostCollectionId() {
        return this.collectionByTopmostCollectionId;
    }

    public void setCollectionByTopmostCollectionId(net.metadiversity.diversity.navigator.hibernate.ubt.collection.Collection collectionByTopmostCollectionId) {
        this.collectionByTopmostCollectionId = collectionByTopmostCollectionId;
    }

    public net.metadiversity.diversity.navigator.hibernate.ubt.collection.Collection getCollectionByParentCollectionId() {
        return this.collectionByParentCollectionId;
    }

    public void setCollectionByParentCollectionId(net.metadiversity.diversity.navigator.hibernate.ubt.collection.Collection collectionByParentCollectionId) {
        this.collectionByParentCollectionId = collectionByParentCollectionId;
    }

    public Set getCollectionDuplicates() {
        return this.collectionDuplicates;
    }

    public void setCollectionDuplicates(Set collectionDuplicates) {
        this.collectionDuplicates = collectionDuplicates;
    }

    public Set getCollectionsByTopmostCollectionId() {
        return this.collectionsByTopmostCollectionId;
    }

    public void setCollectionsByTopmostCollectionId(Set collectionsByTopmostCollectionId) {
        this.collectionsByTopmostCollectionId = collectionsByTopmostCollectionId;
    }

    public Set getCollectionsByParentCollectionId() {
        return this.collectionsByParentCollectionId;
    }

    public void setCollectionsByParentCollectionId(Set collectionsByParentCollectionId) {
        this.collectionsByParentCollectionId = collectionsByParentCollectionId;
    }

    public String toString() {
        return new ToStringBuilder(this)
            .append("collectionId", getCollectionId())
            .toString();
    }

}
