/*
 * DeltaEditorChangeEvent.java
 *
 * Created on 19. M�rz 2004, 17:42
 */

package net.metadiversity.diversity.navigator.gui.delta_editor;

/**
 *
 * @author  didi
 */
public class DeltaEditorChangeEvent extends javax.swing.event.ChangeEvent
{    
    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 3834312825861648948L;
    
    final public static int NONE                    = 0x00;
    final public static int REMOVE_CHARACTER_STATE  = 0x01;
    final public static int ADD_CHARACTER_STATE     = 0x02;
    final public static int UPDATE_CHARACTER_DESCRIPTION_STATE = 0x04;
    int mode;
    int row;
    int col;
    /** Creates a new instance of DeltaEditorChangeEvent */
    public DeltaEditorChangeEvent( java.lang.Object source )    
    {
        super( source );
        mode = NONE;
    }
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
    public DeltaEditorChangeEvent( java.lang.Object source, int mode, int row, int col )    
    {
        super( source );
        this.mode = mode;
        this.row = row;
        this.col = col;
    }
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
    public int getMode()
    {
        return mode;
    }
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
    public int getRow()
    {
        return row;
    }
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
    public int getColumn()
    {
        return col;
    }
    //--------------------------------------------------------------------------
    //--------------------------------------------------------------------------
}
