package net.metadiversity.diversity.navigator.project;

import java.util.*;

import org.apache.log4j.Logger;

public class ProjectInfo 
{
    static Logger logger = Logger.getLogger( ProjectInfo.class.getName() );
    
    private java.lang.String    name;
    private java.lang.String    description;
    private java.util.Hashtable dbgroups;
    private java.lang.String    className;
    
    //--------------------------------------------------------------------------
    public ProjectInfo( String name, String description, String classname ) 
    {
        this.name       = name;
        this.description= description;
        this.className  = classname;
        
        dbgroups = new Hashtable();
    }
    //--------------------------------------------------------------------------
    public ProjectInfo( String name, String description, Hashtable dbgroups ) 
    {
        this.name       = name;
        this.description= description;
        this.dbgroups   = dbgroups;
        this.className  = null;  
    }
    //--------------------------------------------------------------------------
    public String getName()     
    {
        return name; 
    }
    //--------------------------------------------------------------------------
    public String getDescription()   
    { 
        return description; 
    }
    //--------------------------------------------------------------------------
    public Hashtable getDbGroups()   
    { 
        return dbgroups; 
    }
    //--------------------------------------------------------------------------
    public java.lang.String getProjectClassName()   
    { 
        return className; 
    }
}
