/*
 * ChecklistGrassGisVisualisation.java
 *
 * Created on 30. Juli 2003, 15:20
 */

package net.metadiversity.diversity.navigator.webservice;

import java.lang.String;
// logging
import org.apache.log4j.Logger;

// Web service
import org.apache.axis.client.Call;
import org.apache.axis.client.Service;
import org.apache.axis.encoding.XMLType;
//import org.apache.axis.utils.Options;

// 
import javax.xml.rpc.ParameterMode;
/**
 *
 * @author  Dieter Neubacher
 */
public class ChecklistsGrassGisVisualisationClient
{
    static Logger logger = Logger.getLogger( ChecklistsGrassGisVisualisationClient.class.getName() );
    
    /** Creates a new instance of ChecklistGrassGisVisualisation */
    public ChecklistsGrassGisVisualisationClient()
    {
    }    
    public static void main( String [] args ) throws Exception
    {
        String endpoint     = "http://localhost:8080/axis/ChecklistsGrassGisVisualisationService.jws";            
//        String locations    = "1000062,1000069,1000088,1000095,1000097,1009223,1010311,7000084,7005005,7005804,7005805,7006366,7006450,7007520,7008591,7013154,7014835,7016622";
        String locations    = "";
        Service service = new Service();
        Call    call    = ( Call ) service.createCall();

        call.setTargetEndpointAddress( new java.net.URL( endpoint ) );
        call.setOperationName( "visualisation" );
        call.addParameter( "parameter", XMLType.XSD_STRING, ParameterMode.IN );
        call.setReturnType( XMLType.XSD_STRING );

        String ret = (String) call.invoke( new Object [] { locations } );

        System.out.print( ret );
    }
}
