/*
 * Copyright (C) 2001-2006 University Bayreuth, BayCEER, Dept. of Mycology 
 * 
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
/*
 * DnAction.java
 *
 * Created on 16. March 2003, 04:38
 */
package net.metadiversity.diversity.navigator.gui;

import org.apache.log4j.Logger;
/**
 *
 * @author  didi
 */
public class DnAction extends javax.swing.AbstractAction
{
    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 3256441395727577907L;

    static Logger logger = Logger.getLogger( DnAction.class.getName() );
    
    String actionName;
    /** Creates a new instance of DnAction */
    public DnAction( java.lang.String name, javax.swing.Icon icon ) 
    {
        super( name, icon );
        actionName = name;
        setEnabled( true );
    }
    
    public void actionPerformed(java.awt.event.ActionEvent actionEvent) 
    {
       logger.debug( "Action performd : " + actionName );
    }    
}
