/*
 * Copyright (C) 2001-2006 University Bayreuth, BayCEER, Dept. of Mycology 
 * 
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package net.metadiversity.diversity.navigator.hibernate.ubt.collection;

import java.io.Serializable;
import org.apache.commons.lang.builder.ToStringBuilder;


/** @author Hibernate CodeGenerator */
public class PgaScript implements Serializable {

    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 3257290218855018550L;

    /** identifier field */
    private String scriptname;

    /** nullable persistent field */
    private String scriptsource;

    /** full constructor */
    public PgaScript(String scriptname, String scriptsource) {
        this.scriptname = scriptname;
        this.scriptsource = scriptsource;
    }

    /** default constructor */
    public PgaScript() {
    }

    /** minimal constructor */
    public PgaScript(String scriptname) {
        this.scriptname = scriptname;
    }

    public String getScriptname() {
        return this.scriptname;
    }

    public void setScriptname(String scriptname) {
        this.scriptname = scriptname;
    }

    public String getScriptsource() {
        return this.scriptsource;
    }

    public void setScriptsource(String scriptsource) {
        this.scriptsource = scriptsource;
    }

    public String toString() {
        return new ToStringBuilder(this)
            .append("scriptname", getScriptname())
            .toString();
    }

}
